<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

    <head th:replace="fragments/header :: header">
        <title>DSS App</title>
    </head>
    <body>

        <!--Start Container-->
        <div id="main" class="container-fluid">
            <div class="row">

                <th:block th:include="fragments/sidebar :: sidebar('dashboard')"></th:block>

                <!--Start Content-->
                <div id="content" class="col-xs-12 col-sm-10">

                    <th:block th:include="fragments/about :: about"></th:block>

                    <!-- Preloader -->
                    <th:block th:include="fragments/preloader :: preloader"></th:block>

                    <!--Start Breadcrumb-->
                    <div class="row">
                        <div id="breadcrumb" class="col-xs-12">

                            <a href="#" class="show-sidebar">
                                <i class="fa fa-bars"></i>
                            </a>

                            <th:block th:insert="breadcrumb :: breadcrumb(breadcrumb)">
                                <ol class="breadcrumb pull-left">
                                    <li><a th:href="@{/dashboard}" href="dashboard.html">Dashboard</a></li>
                                </ol>
                            </th:block>

                            <!--
                            <ol class="breadcrumb pull-left">
                                <li><a th:href="@{/}" href="index.html">Index</a></li>
                            </ol>-->
                            <div id="social" class="pull-right">
                                <a href="#"><i class="fa fa-google-plus"></i></a>
                                <a href="#"><i class="fa fa-facebook"></i></a>
                                <a href="#"><i class="fa fa-twitter"></i></a>
                                <a href="#"><i class="fa fa-linkedin"></i></a>
                                <a href="#"><i class="fa fa-youtube"></i></a>
                            </div>
                        </div>
                    </div>
                    <!--End Breadcrumb-->


                    <!--Start Dashboard 1-->
                    <div id="dashboard-header" class="row">
                        <div class="col-xs-12 col-sm-4 col-md-5">
                            <h3>Dashboard</h3>
                        </div>
                    </div>
                    <!--End Dashboard 1-->
                    <!--Start Dashboard 2-->
                    <div class="row-fluid">
                        <div id="dashboard_links" class="col-xs-12 col-sm-2 pull-right">
                            <ul class="nav nav-pills nav-stacked">
                                <li class="active"><a href="#" class="tab-link" id="overview">Overview</a></li>
                                <li><a href="#" class="tab-link" id="clients">Clients</a></li>
                                <li><a href="#" class="tab-link" id="graph">Statistics</a></li>
                                <li><a href="#" class="tab-link" id="servers">Servers</a></li>
                                <li><a href="#" class="tab-link" id="planning">Planning</a></li>
                                <li><a href="#" class="tab-link" id="netmap">Network map</a></li>
                                <li><a href="#" class="tab-link" id="stock">Yahoo finance</a></li>
                            </ul>
                        </div>
                        <div id="dashboard_tabs" class="col-xs-12 col-sm-10">
                            <!--Start Dashboard Tab 1-->
                            <div id="dashboard-overview" class="row" style="visibility: visible; position: relative;">
                                <div id="ow-marketplace" class="col-sm-12 col-md-6">
                                    <div id="ow-setting">
                                        <a href="#"><i class="fa fa-folder-open"></i></a>
                                        <a href="#"><i class="fa fa-credit-card"></i></a>
                                        <a href="#"><i class="fa fa-ticket"></i></a>
                                        <a href="#"><i class="fa fa-bookmark-o"></i></a>
                                        <a href="#"><i class="fa fa-globe"></i></a>
                                    </div>
                                    <h4 class="page-header">MARKETPLACE</h4>

                                </div>

                            </div>
                            <!--End Dashboard Tab 1-->

                            <!--Start Dashboard Tab 2-->
                            <div id="dashboard-clients" class="row" style="visibility: hidden; position: absolute;">
                                <h4 class="page-header">ACB</h4>
                                <div class="row one-list-message">
                                    <div class="col-xs-1"><i class="fa fa-users"></i></div>
                                    <div class="col-xs-2"><b>Country</b></div>
                                    <div class="col-xs-2">Visitors</div>
                                    <div class="col-xs-2">Page hits</div>
                                    <div class="col-xs-2">Revenue</div>
                                    <div class="col-xs-1">Activity</div>
                                    <div class="col-xs-2">Date</div>
                                </div>

                            </div>
                            <!--End Dashboard Tab 2-->

                            <!--Start Dashboard Tab 3-->
                            <div id="dashboard-graph" class="row" style="width:100%; visibility: hidden; position: absolute;" >
                                <div class="col-xs-12">
                                    <h4 class="page-header">OS Platform Statistics</h4>
                                    <div id="stat-graph" style="height: 300px;"></div>
                                </div>
                            </div>
                            <!--End Dashboard Tab 3-->

                            <!--Start Dashboard Tab 4-->
                            <div id="dashboard-servers" class="row" style="width:100%; visibility: hidden; position: absolute;">
                                <div class="col-xs-12">
                                    <h4 class="page-header"><i class="fa fa-info-circle"></i> Application Details</h4>
                                    <small class="pull-right" >Information</small>
                                    <!--<div class="ow-settings">
                                        <a href="#"><i class="fa fa-gears"></i></a>
                                    </div>-->
                                    <div class="row ow-server-bottom">
                                        <!--<div class="col-sm-4">
                                            <div class="knob-slider">
                                                <input id="knob-srv-1" class="knob" data-width="60"  data-height="60" data-angleOffset="180" data-fgColor="#6AA6D6" data-skin="tron" data-thickness=".2" value="">CPU Load
                                            </div>
                                        </div>-->
                                        <div class="col-sm-offset-1 col-sm-8">
                                            <div class="row"><i class="fa  fa-tag" th:text="'  Application' + ' - ' + ${actuatorInfoResponse.app.name}"></i></div>
                                            <div class="row"><i class="fa  fa-tag" th:text="'  Description' + ' - ' + ${actuatorInfoResponse.app.description}"></i></div>
                                            <div class="row"><i class="fa  fa-tag" th:text="'  Version' + ' - ' + ${actuatorInfoResponse.app.version}"></i></div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12">
                                    <!--<h4 class="page-header"><i class="fa fa-info-circle"></i> Application Metrics</h4>-->
                                    <small class="pull-right">Metrics</small>
                                    <!--<div class="ow-settings">
                                        <a href="#"><i class="fa fa-gears"></i></a>
                                    </div>-->
                                    <div class="row ow-server-bottom">
                                        <!--<div class="col-sm-4">
                                            <div class="knob-slider">
                                                <input id="knob-srv-1" class="knob" data-width="60"  data-height="60" data-angleOffset="180" data-fgColor="#6AA6D6" data-skin="tron" data-thickness=".2" value="">CPU Load
                                            </div>
                                        </div>-->
                                        <div class="col-sm-offset-1 col-sm-8">
                                            <div class="row"><i class="fa  fa-tag" th:text="'  Memory' + ' - ' + ${actuatorMetricsResponse.mem} / 1000 + 'M'"></i></div>
                                            <div class="row"><i class="fa  fa-tag" th:text="'  Free Memory' + ' - ' + ${actuatorMetricsResponse.memFree} / 1000 + 'M'"></i></div>
                                            <div class="row"><i class="fa  fa-tag" th:text="'  Processors' + ' - ' + ${actuatorMetricsResponse.processors}"></i></div>
                                            <div class="row"><i class="fa  fa-tag" th:text="'  Uptime' + ' - ' + ${actuatorMetricsResponse.uptimeFormated}"></i></div>
                                            <div class="row">
                                                <i class="fa  fa-tag">  System Load Average</i>

                                                <div class="progress">
                                                    <div class="progress-bar" role="progressbar" th:attr="aria-valuenow=${actuatorMetricsResponse.systemloadAverage}" 
                                                         aria-valuenow="30" aria-valuemin="0" aria-valuemax="100" th:styleappend="'width: ' + ${actuatorMetricsResponse.systemloadAverage} +  '%' + ';'">
                                                        <span th:text="${actuatorMetricsResponse.systemloadAverage}">0</span>
                                                    </div>
                                                </div>

                                            </div>

                                        </div>
                                    </div>
                                </div>

                            </div>
                            <!--End Dashboard Tab 4-->
                            <!--Start Dashboard Tab 5-->
                            <div id="dashboard-planning" class="row" style="visibility: hidden; position: absolute;">
                                <div class="col-xs-12 col-sm-6">
                                    <h4 class="page-header">Planned projects</h4>

                                    <div class="box">
                                        <div class="box-header">
                                            <div class="box-name">
                                                <i class="fa fa-table"></i>
                                                <span>Basic progress</span>
                                            </div>
                                            <div class="box-icons">
                                                <a class="collapse-link">
                                                    <i class="fa fa-chevron-up"></i>
                                                </a>
                                                <a class="expand-link">
                                                    <i class="fa fa-expand"></i>
                                                </a>
                                                <a class="close-link">
                                                    <i class="fa fa-times"></i>
                                                </a>
                                            </div>
                                            <div class="no-move"></div>
                                        </div>
                                        <div class="box-content">
                                            <p>For basic styling add the base class <code>.table</code> to any <code>&lt;table&gt;</code>.</p>
                                            <div class="progress">
                                                <div class="progress-bar" role="progressbar" aria-valuenow="30" aria-valuemin="0" aria-valuemax="100" style="width: 30%;">
                                                    <span>30% Complete</span>
                                                </div>
                                            </div>
                                            <div class="progress">
                                                <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%;">
                                                    <span>40% Complete</span>
                                                </div>
                                            </div>
                                            <div class="progress">
                                                <div class="progress-bar progress-bar-info" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%;">
                                                    <span>60% Complete</span>
                                                </div>
                                            </div>
                                            <div class="progress">
                                                <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100" style="width: 70%;">
                                                    <span class="sr-only">70% Complete</span>
                                                </div>
                                            </div>
                                            <div class="progress">
                                                <div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width: 50%;">
                                                    <span>50% Complete</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-xs-12 col-sm-6" id="planning-chart-1" style="height:250px;"><a href="#">Reports</a></div>
                                <div class="col-xs-12 col-sm-8" id="planning-chart-2" style="height: 250px;"></div>
                                <div class="col-xs-12 col-sm-4" id="planning-chart-3" style="height: 250px;"></div>
                                <div class="col-xs-8">
                                    <h4 class="page-header">Quarterly forecast</h4>
                                    <div class="row">
                                        <div class="col-xs-3"><span>Q1</span>123,34234</div>
                                        <div class="col-xs-3"><span>Q2</span>123,34234</div>
                                        <div class="col-xs-3"><span>Q3</span>123,34234</div>
                                        <div class="col-xs-3"><span>Q4</span>123,34234</div>
                                    </div>
                                </div>
                                <div class="col-xs-4">
                                    <h4 class="page-header">Total forecast</h4>
                                    <div class="row">
                                        <div class="col-xs-12"><span>QE</span>732423234.34</div>
                                    </div>
                                </div>
                            </div>
                            <!--End Dashboard Tab 5-->
                            <!--Start Dashboard Tab 6-->
                            <div id="dashboard-netmap" class="row" style="visibility: hidden; position: absolute;">
                                <div class="col-xs-12">
                                    <h4 class="page-header">Network map(mesh topology)</h4>
                                    <canvas id="springy-demo" width="900" height="480" />
                                </div>
                            </div>
                            <!--End Dashboard Tab 6-->
                            <!--Start Dashboard Tab 7-->
                            <div id="dashboard-stock" class="row" style="visibility: hidden; position: absolute;">
                                <div class="col-xs-12">
                                    <h4 class="page-header">Stocks from Yahoo Finance</h4>
                                    <div id="inputSymbol">
                                        <p>Enter Stock</p>
                                        <input id="txtSymbol" class="required" Placeholder="Symbol" />
                                        <input id="startDate" class="datePick required" type="text"  Placeholder="From" />
                                        <input id="endDate" class="datePick" type="text" Placeholder="To"  />
                                        <button id="submit">Submit</button>
                                    </div>
                                    <div class="realtime" style="margin-top:40px;">
                                        <div class="col-xs-6"><p>Name</p><span id="symbol"></span></div>
                                        <div class="col-xs-6"><p>RealtimeBid</p><span id="bidRealtime"></span></div>
                                    </div>
                                    <div class="historical">
                                        <div class="col-xs-6"><p>Date</p><div id="date"></div></div>
                                        <div class="col-xs-6"><p>Price</p><div id="closeValue"></div></div>
                                    </div>
                                </div>
                            </div>
                            <!--End Dashboard Tab 7-->
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <!--End Dashboard 2 -->

                </div>
                <div class="clearfix"></div>


            </div>
            <!--End Content-->
        </div>
        <!--End Container-->

        <div th:replace="fragments/js :: js">JavaScript</div>

        <script type="text/javascript">
            $(document).ready(function () {
                // Make all JS-activity for dashboard
                DashboardTabChecker();
            });
        </script>
    </body>
</html>